﻿using UnityEngine;
using System.Collections;

public class Jump : MonoBehaviour 
{
	public float jumpSpeed = 20f;
	private string jumpButton = "Jump";
	private bool isGrounded = true;
	public Animator anim;


	// Use this for initialization
	void Start () 
	{
		anim = gameObject.GetComponent<Animator>();

	}
	
	// Update is called once per frame
	void Update () 
	{	
		anim.SetFloat("Vertical_Speed", rigidbody2D.velocity.y);
		//jumping
		if(Input.GetButtonDown(jumpButton) && isGrounded)
		{
			rigidbody2D.AddForce (transform.up * jumpSpeed);
			isGrounded = false;
		}
		
		//check if player is grounded
		if(rigidbody2D.velocity.y == 0)
		{
			anim.SetBool("Grounded", true);
			isGrounded = true;
		}
		else
		{
			anim.SetBool("Grounded", false);
			isGrounded = false;
		}

	}
}
